## benchmark 1.6.0

=== debian/changelog ===
benchmark (1.6.0-2deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:42:50 +0800

benchmark (1.6.0-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [8806bb9] Minor update of autopkgtests

  [ Timo Röhling ]
  * [8c09dbc] Fix static library build. (Closes: #996956)

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Oct 2021 20:41:47 +0200

benchmark (1.6.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Fix for the autopkgtest to use the default g++ compiler from
    Kentaro Hayashi <kenhys@gmail.com>. (Closes: #985726)

  [ Anton Gladky ]
  * [8e11569] New upstream version 1.6.0. (Closes: #983988)
  * [7ad7ffb] Update patch
  * [5c01fd9] Set Standards-version to 4.6.0
  * [fa4ea7e] Fix autopkgtests

 -- Anton Gladky <gladk@debian.org>  Tue, 19 Oct 2021 20:46:26 +0200
