=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DGIT_VERSION="$(DEB_VERSION_UPSTREAM)" \
		-DGOOGLETEST_PATH=/usr/src/googletest \
		-DCMAKE_BUILD_TYPE=Release -DBENCHMARK_ENABLE_LTO=true

override_dh_strip:
	dh_strip -Xlibbenchmark_main.a
