=== debian/changelog ===
benchmark (1.6.1-1) unstable; urgency=medium

  * [e539e45] New upstream version 1.6.1
  * [bb8e3f4] Refresh patch

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jan 2022 18:16:14 +0100
