## benchmark 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
   endif()
 endforeach()
 
-project (benchmark VERSION 1.6.1 LANGUAGES CXX)
+project (benchmark VERSION 1.7.0 LANGUAGES CXX)
 
 option(BENCHMARK_ENABLE_TESTING "Enable testing of the benchmark library." ON)
 option(BENCHMARK_ENABLE_EXCEPTIONS "Enable the use of exceptions in the benchmark library." ON)
@@ -50,7 +50,10 @@
 
 option(BENCHMARK_ENABLE_LIBPFM "Enable performance counters provided by libpfm" OFF)
 
-set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
+# Export only public symbols
+set(CMAKE_CXX_VISIBILITY_PRESET hidden)
+set(CMAKE_VISIBILITY_INLINES_HIDDEN ON)
+
 if(MSVC)
     # As of CMake 3.18, CMAKE_SYSTEM_PROCESSOR is not set properly for MSVC and
     # cross-compilation (e.g. Host=x86_64, target=aarch64) requires using the
@@ -123,10 +126,10 @@
 string(SUBSTRING ${VERSION} 0 1 GENERIC_LIB_SOVERSION)
 
 # Import our CMake modules
+include(AddCXXCompilerFlag)
 include(CheckCXXCompilerFlag)
-include(AddCXXCompilerFlag)
+include(CheckLibraryExists)
 include(CXXFeatureCheck)
-include(CheckLibraryExists)
 
 check_library_exists(rt shm_open "" HAVE_LIB_RT)
 
@@ -177,6 +180,7 @@
   add_cxx_compiler_flag(-Wall)
   add_cxx_compiler_flag(-Wextra)
   add_cxx_compiler_flag(-Wshadow)
+  add_cxx_compiler_flag(-Wfloat-equal)
   if(BENCHMARK_ENABLE_WERROR)
       add_cxx_compiler_flag(-Werror RELEASE)
       add_cxx_compiler_flag(-Werror RELWITHDEBINFO)
@@ -285,8 +289,3 @@
     # linker flags appear before all linker inputs and -lc++ must appear after.
     list(APPEND BENCHMARK_CXX_LIBRARIES c++)
   else()
-    message(FATAL_ERROR "-DBENCHMARK_USE_LIBCXX:BOOL=ON is not supported for compiler")
-  endif()
-endif(BENCHMARK_USE_LIBCXX)
-
-set(EXTRA_CXX_FLAGS "")
