=== debian/changelog ===
benchmark (1.7.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Prevent debhelper from adding LTO flags

 -- Timo Röhling <roehling@debian.org>  Sun, 21 Aug 2022 19:57:55 +0200

benchmark (1.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.7.0
  * Bump Standards-Version to 4.6.1
  * Bump SOVERSION after ABI breakage

 -- Timo Röhling <roehling@debian.org>  Sun, 14 Aug 2022 23:35:06 +0200

benchmark (1.6.1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS due to excessive vector size

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Aug 2022 20:40:09 +0200
