=== debian/changelog ===
benchmark (1.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.1

 -- Timo Röhling <roehling@debian.org>  Sun, 13 Nov 2022 11:31:04 +0100
