=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libgmock-dev,
-               googletest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/benchmark
 Vcs-Git: https://salsa.debian.org/science-team/benchmark.git
 Homepage: https://github.com/google/benchmark
@@ -18,14 +17,14 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libbenchmark1 (= ${binary:Version}),
+Depends: libbenchmark1debian (= ${binary:Version}),
          ${misc:Depends}
 Description: Microbenchmark support library, development files
  Library to support the benchmarking of functions, similar to unit-tests.
  .
  This package contains the development files.
 
-Package: libbenchmark1
+Package: libbenchmark1debian
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -43,7 +42,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Suggests: python (>> 3)
+Suggests: python3:any
 Pre-Depends: ${misc:Pre-Depends}
 Description: Microbenchmark support library, tools and documentation
  Library to support the benchmarking of functions, similar to unit-tests.
