=== debian/changelog ===
benchmark (1.8.3-3) unstable; urgency=medium

  * [47e7cfd] Fix FTBFS on riscv64. (Closes: #1059932)

 -- Anton Gladky <gladk@debian.org>  Thu, 04 Jan 2024 08:00:19 +0100

benchmark (1.8.3-2) unstable; urgency=medium

  * [6670303] Update lib name from 1debian to 1.8.3. (Closes: #1059785)

 -- Anton Gladky <gladk@debian.org>  Tue, 02 Jan 2024 20:41:43 +0100

benchmark (1.8.3-1) unstable; urgency=medium

  * [5159b52] New upstream version 1.8.3.
  * [6bcbbb2] Refresh patches.
  * [45a3dce] Update standards version to 4.6.2, no changes needed.
  * [ab18046] Add missing build-dependency on python3-setuptools.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Oct 2023 22:01:47 +0200
