=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libgmock-dev,
-Standards-Version: 4.6.1
+               python3-setuptools,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/benchmark
 Vcs-Git: https://salsa.debian.org/science-team/benchmark.git
 Homepage: https://github.com/google/benchmark
@@ -17,19 +18,21 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libbenchmark1debian (= ${binary:Version}),
+Depends: libbenchmark1.8.3 (= ${binary:Version}),
          ${misc:Depends}
 Description: Microbenchmark support library, development files
  Library to support the benchmarking of functions, similar to unit-tests.
  .
  This package contains the development files.
 
-Package: libbenchmark1debian
+Package: libbenchmark1.8.3
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libbenchmark-tools
+Breaks: libbenchmark1debian (<< 1.8.3-2)
+Replaces: libbenchmark1debian (<< 1.8.3-2)
 Pre-Depends: ${misc:Pre-Depends}
 Description: Microbenchmark support library, shared library
  Library to support the benchmarking of functions, similar to unit-tests.
