=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Upstream can handle LTO on its own, so disable the flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DGIT_VERSION="$(DEB_VERSION_UPSTREAM)" \
		-DBUILD_SHARED_LIBS=ON \
		-DBENCHMARK_ENABLE_LTO=ON \
		-DBENCHMARK_USE_BUNDLED_GTEST=OFF \
		-DBENCHMARK_ENABLE_WERROR=OFF
