=== debian/changelog ===
benchmark (1.9.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Jan 2025 18:06:25 +0100

benchmark (1.9.1-1~exp1) experimental; urgency=medium

  [ Anton Gladky ]
  * [986f1d8] New upstream version 1.9.1
  * [48d2351] Refresh patches
  * [324c382] Apply cme fix dpkg. Set Standards-Version: 4.7.0
  * [e8e1a07] Update binaries to 1.9.1

  [ Thomas Uhle ]
  * [56e6ff1] Use /usr/bin/python3 instead of /usr/bin/env python3.
              (Closes: #1062701)

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Jan 2025 21:49:28 +0100

benchmark (1.8.4-1~exp1) experimental; urgency=medium

  * [b8123d0] New upstream version 1.8.4
  * [cb4bf73] Refresh patches
  * [8ab85ac] Update package numbering

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Jun 2024 21:55:07 +0200
