=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               dh-python,
                libgmock-dev,
-               python3-setuptools,
-Standards-Version: 4.6.2
+               python3-setuptools
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/benchmark
 Vcs-Git: https://salsa.debian.org/science-team/benchmark.git
 Homepage: https://github.com/google/benchmark
@@ -18,21 +19,19 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libbenchmark1.8.3 (= ${binary:Version}),
+Depends: libbenchmark1.9.1 (= ${binary:Version}),
          ${misc:Depends}
 Description: Microbenchmark support library, development files
  Library to support the benchmarking of functions, similar to unit-tests.
  .
  This package contains the development files.
 
-Package: libbenchmark1.8.3
+Package: libbenchmark1.9.1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libbenchmark-tools
-Breaks: libbenchmark1debian (<< 1.8.3-2)
-Replaces: libbenchmark1debian (<< 1.8.3-2)
 Pre-Depends: ${misc:Pre-Depends}
 Description: Microbenchmark support library, shared library
  Library to support the benchmarking of functions, similar to unit-tests.
