=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 		-DBENCHMARK_ENABLE_LTO=ON \
 		-DBENCHMARK_USE_BUNDLED_GTEST=OFF \
 		-DBENCHMARK_ENABLE_WERROR=OFF
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3 /usr/share/benchmark
